import type { IOpenAccount, IServerResp, IDigest, ISignVerify, ISign, IClientContractsResponse, ISaveResponse, IUniversalSignResponse } from '../../interfaces';
export declare const OPEN_ACCOUNT_URL: string;
export declare const openAccountService: {
    newDocument: () => Promise<IOpenAccount>;
    create: (openAccountDto: IOpenAccount) => Promise<ISaveResponse<IOpenAccount>>;
    update({ id, userId, date, number, status, openedAccounts, ...dataToSend }: IOpenAccount): Promise<ISaveResponse<IOpenAccount>>;
    delete(requestId: string): Promise<IServerResp<IOpenAccount>>;
    digest: (id: string) => Promise<IServerResp<IDigest>>;
    getSignData: (id: string) => Promise<IUniversalSignResponse>;
    verifySign: (arg: string, ...other: any[]) => Promise<IServerResp<ISignVerify, import("../../interfaces").ERROR>>;
    sign: (data: ISign) => Promise<IOpenAccount>;
    removeSign: (id: string) => Promise<IOpenAccount>;
    send: (id: string) => Promise<IServerResp<IOpenAccount>>;
    getReservedAccounts: (id: string) => Promise<IClientContractsResponse>;
    getLocResource: () => Promise<any>;
    getList: (metaData: import("../../interfaces").IMetaData) => Promise<import("@platform/core/dist-types/interfaces/scroller").ICollectionResponse<IOpenAccount>>;
    get: (id: string) => Promise<IOpenAccount>;
    getCounter: (metaData: import("../../interfaces").IMetaData) => Promise<any>;
    validateSign: (id: string) => Promise<IServerResp<IOpenAccount, import("../../interfaces").ERROR>>;
    exportClaimOpenAccounts: (data: import("../../interfaces").IExportRequest) => Promise<import("../../interfaces").IExportResponse>;
    exportClaimRulesGoz: (data: import("../../interfaces").IExportRequest) => Promise<import("../../interfaces").IExportResponse>;
    exportInfoOpenAccounts: (data: import("../../interfaces").IExportRequest) => Promise<import("../../interfaces").IExportResponse>;
    exportListRequestOpenAccounts: (data: import("../../interfaces").IExportRequest) => Promise<import("../../interfaces").IExportResponse>;
    printClaimOpenAccounts: (data: import("../../interfaces").IExportRequest) => Promise<import("../../interfaces").IPrintResponse>;
    printClaimRulesGoz: (data: import("../../interfaces").IExportRequest) => Promise<import("../../interfaces").IPrintResponse>;
    printInfoOpenAccounts: (data: import("../../interfaces").IExportRequest) => Promise<import("../../interfaces").IPrintResponse>;
    printListRequestOpenAccounts: (data: import("../../interfaces").IExportRequest) => Promise<import("../../interfaces").IPrintResponse>;
    getHistory: (id: string) => Promise<import("../../interfaces").IHistoryResponse[]>;
};
